using APT.Infrastructure.Core;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("API")]
    public partial class T_FM_API : MesEntityBase
    {
        /// <summary>
        /// 名称
        /// </summary>
        [FormFieldQuery]
        [FormFieldEdit]
        [FormFieldTable]
        [DataFieldLength(50)]
        [Description("名称")]
        public string NAME { get; set; }

        /// <summary>
        /// 方法
        /// </summary>
        [FormFieldQuery]
        [FormFieldEdit]
        [FormFieldTable]
        [DataFieldLength(50)]
        [Description("方法")]
        public string METHOD { get; set; }

        /// <summary>
        /// 描述
        /// </summary>
        [FormFieldQuery]
        [FormFieldEdit]
        [FormFieldTable]
        [DataFieldLength(500)]
        [Description("描述")]
        public string DESCRIBE { get; set; }
    }
}
